com.dlsc.flexgantt.swing.selector

## Enum ISelectorFactory.SelectorID

- java.lang.Object
- - java.lang.Enum<ISelectorFactory.SelectorID>
  - - com.dlsc.flexgantt.swing.selector.ISelectorFactory.SelectorID

- All Implemented Interfaces:
    Serializable, Comparable<ISelectorFactory.SelectorID>
  Enclosing interface:
    ISelectorFactory

      public static enum ISelectorFactory.SelectorID
      extends Enum<ISelectorFactory.SelectorID>

  An enumerator, used to identify those selectors that are directly supported by the framework. Applications can of course create their own selectors for whatever purpose they desire but the ones listed as members of this enumerator are well-known to the framework.
  Since:
    1.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIONS` The selector with this ID should provide a list of available actions that can be triggered by the user via key strokes.
    `BOOKMARKS` The selector with this ID should provide a list of user- or application- defined boookmarks.
    `COLUMNS` The selector with this ID should provide a list of columns currently shown by the tree table and / or available for showing.
    `GOTO` The selector with this ID should allow the user to specify a time point which the timeline has to display.
    `GRANULARITY` The selector with this ID should provide a list time granularities, which can be shown by the timeline.
    `GRID` The selector with this ID should allow the user to change the grid used for positioning timeline objects during drag and drop operations.
    `HORIZON` The selector with this ID should allow the user to specify the time horizon covered by the timeline.
    `LAYERS` The selector with this ID should provide a list of application- defined layers.
    `OVERVIEW` The selector with this ID should provide a radar-like control, which gives an overview over the entire horizon and all timeline objects.
    `PAGES` The selector with this ID should provide a list of application-defined pages from which the user can select one.
    `SPREADSHEET` The selector with this ID should provide a control to let the user select the currently active spreadsheet.
    `TIMEZONE` The selector with this ID should provide a list of time zones and let the user pick one, which will then be applied to the dateline model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ISelectorFactory.SelectorID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ISelectorFactory.SelectorID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIONS

          public static final ISelectorFactory.SelectorID ACTIONS

      The selector with this ID should provide a list of available actions that can be triggered by the user via key strokes.
      Since:
        1.1
      See Also:
        `ActionSelector`

    - #### BOOKMARKS

          public static final ISelectorFactory.SelectorID BOOKMARKS

      The selector with this ID should provide a list of user- or application- defined boookmarks.
      Since:
        1.1
      See Also:
        `BookmarksSelector`

    - #### COLUMNS

          public static final ISelectorFactory.SelectorID COLUMNS

      The selector with this ID should provide a list of columns currently shown by the tree table and / or available for showing.
      Since:
        1.1
      See Also:
        `ColumnChooserSelector`, `AbstractGanttChart.getAvailableColumns()`, `IColumnModel`

    - #### GRANULARITY

          public static final ISelectorFactory.SelectorID GRANULARITY

      The selector with this ID should provide a list time granularities, which can be shown by the timeline.
      Since:
        1.1
      See Also:
        `GranularitySelector`, `IDatelineModel.setGranularity(com.dlsc.flexgantt.model.dateline.IGranularity)`

    - #### GRID

          public static final ISelectorFactory.SelectorID GRID

      The selector with this ID should allow the user to change the grid used for positioning timeline objects during drag and drop operations.
      Since:
        1.1
      See Also:
        `GridSelector`, `IGridComponent`

    - #### LAYERS

          public static final ISelectorFactory.SelectorID LAYERS

      The selector with this ID should provide a list of application- defined layers. The user should be able to peform changes on the layers (show, hide, transparency, delete).
      Since:
        1.1
      See Also:
        `LayerSelector`, `ILayer`, `IGanttChartModel.getLayers()`

    - #### PAGES

          public static final ISelectorFactory.SelectorID PAGES

      The selector with this ID should provide a list of application-defined pages from which the user can select one. The selected page settings will then be applied to the Gantt chart.
      Since:
        1.1
      See Also:
        `PagingSelector`, `Page`, `IPagingModel`

    - #### GOTO

          public static final ISelectorFactory.SelectorID GOTO

      The selector with this ID should allow the user to specify a time point which the timeline has to display.
      Since:
        1.1
      See Also:
        `TimeGranularityGotoSelector`, `SimpleGranularityGotoSelector`, `AbstractGanttChart.showTime(long, boolean)`

    - #### HORIZON

          public static final ISelectorFactory.SelectorID HORIZON

      The selector with this ID should allow the user to specify the time horizon covered by the timeline. The horizon should then be set on the dateline model.
      Since:
        1.1
      See Also:
        `TimeGranularityHorizonSelector`, `SimpleGranularityHorizonSelector`, `IDatelineModel.setTimeSpan(com.dlsc.flexgantt.model.ITimeSpan)`

    - #### TIMEZONE

          public static final ISelectorFactory.SelectorID TIMEZONE

      The selector with this ID should provide a list of time zones and let the user pick one, which will then be applied to the dateline model.
      Since:
        1.1
      See Also:
        `TimeZoneSelector`, `IDatelineModel.setTimeZone(java.util.TimeZone)`

    - #### OVERVIEW

          public static final ISelectorFactory.SelectorID OVERVIEW

      The selector with this ID should provide a radar-like control, which gives an overview over the entire horizon and all timeline objects.
      Since:
        1.1
      See Also:
        `OverviewSelector`

    - #### SPREADSHEET

          public static final ISelectorFactory.SelectorID SPREADSHEET

      The selector with this ID should provide a control to let the user select the currently active spreadsheet.
      Since:
        2.1
      See Also:
        `SpreadsheetSelector`

  - ### Method Detail

    - #### values

          public static ISelectorFactory.SelectorID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISelectorFactory.SelectorID c : ISelectorFactory.SelectorID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISelectorFactory.SelectorID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.